/****************************************
[script] script.js
****************************************/

var mainScript = function() {
    $('.js #kv-word').delay(1000).fadeIn('slow',function(){
        $('.js #kv-icon').delay(500).fadeIn('slow');
    });

    // pagefooter-fadein
    // http://www.webopixel.net/lab/sample/12/0308scrollshow/pagetop-fade.html
    var topBtn = $('#page-top');
    topBtn.hide();

    //スクロールが100に達したらボタン表示
    $(window).scroll(function(){
        if ($(this).scrollTop() > 100) {
            topBtn.fadeIn();
        } else {
            topBtn.fadeOut();
        }
    });

    //スクロールしてトップ
    topBtn.click(function(){
        $('body,html').animate({
            scrollTop: 0
        }, 500);
        return false;
    });

    //faq
    $('.faqList dt').click(function(){
        $(this).toggleClass('open');
        $(this).next('dd').slideToggle('fast');
        return false;
    });


    //アプリ選択
    $(".app-select").click(function(e){
        if ($('#app-switch').css('visibility') == "hidden") {
            $('#app-switch').css('visibility', 'visible');
        } else {
            $('#app-switch').css('visibility', 'hidden');
        }
        e.stopPropagation();
        return false;
    });

    //期間選択
    $(".period-select").click(function(e){
        if ($('#period-switch').css('visibility') == "hidden") {
            $('#period-switch').css('visibility', 'visible');
        } else {
            $('#period-switch').css('visibility', 'hidden');
        }
        e.stopPropagation();
        return false;
    });

    //ウインドウクリック時
    $(window).click(function(event){
        if ($('#app-switch').css('visibility') == 'visible') {
            $('#app-switch').css('visibility','hidden');
        }
        if ($('#period-switch').css('visibility') == 'visible') {
            $('#period-switch').css('visibility','hidden');
        }
    });

    //メニューをクリックの場合は無視
    $('#period-switch').click(function(event){
        if (event.target.id == 'apply_button') {
            $('#period-switch').css('visibility','hidden');
        } else {
            event.stopPropagation();
        }
    });

    //datepicker内のクリックイベント消去
    $("#ui-datepicker-div").click(function(event) {
        event.stopPropagation();
    });

    //linkify体験
    $('#ipBox span:nth-child(1)').click(function(e){
        $('#linkifyWidget').css('display','none');
        $('#linkifyWidget').css({'top':'80px','background-position':'center bottom'});
        $('#linkifyWidget').fadeIn('fast');
    });
    $('#ipBox span:nth-child(2)').click(function(e){
        $('#linkifyWidget').css('display','none');
        $('#linkifyWidget').css({'top':'105px','background-position':'175px bottom'});
        $('#linkifyWidget').fadeIn('fast');
    });
    $('#ipBox span:nth-child(3)').click(function(e){
        $('#linkifyWidget').css('display','none');
        $('#linkifyWidget').css({'top':'131px','background-position':'85px bottom'});
        $('#linkifyWidget').fadeIn('fast');
    });
    $('#ipBox span:nth-child(4)').click(function(e){
        $('#linkifyWidget').css('display','none');
        $('#linkifyWidget').css({'top':'177px','background-position':'95px bottom'});
        $('#linkifyWidget').fadeIn('fast');
    });
    $('#ipBox span:nth-child(5)').click(function(e){
        $('#linkifyWidget').css('display','none');
        $('#linkifyWidget').css({'top':'225px','background-position':'200px bottom'});
        $('#linkifyWidget').fadeIn('fast');
    });

    $('#arBtn').click(function(e){
        $('#linkifyMenu').toggle();
    });

    //フッターソーシャルアイコンボタン
    likeCount('likeCountFb');
    tweetCount('likeCountTw');
};

$(mainScript);

//sns
var likeCount = function(_id, _url) {
	if (!_id) {
        return;
    }
	var pageURL = (_url) ? _url : location.href;
	//JSONの読み込み
	$.ajax({
		type: 'GET',
		url: 'http://graph.facebook.com/' + pageURL,
		dataType: 'jsonp',
		success: function(data) {
			//読み込み結果
			var count = (data.shares)? data.shares : 0;
			$('#' + _id).text(count);
		}
	});
};

var tweetCount = function(_id, _url) {
    if (!_id) {
        return;
    }
    var pageURL = (_url) ? _url : location.href;
    //JSONの読み込み
    $.ajax({
        type: 'GET',
        url: 'http://urls.api.twitter.com/1/urls/count.json',
        data: {
            url : encodeURI(pageURL),
            noncache: new Date()
        },
        dataType: 'jsonp',
        success: function(data) {
            //読み込み結果
            $('#' + _id).text(data.count);
        }
    });
};

